1. Occupation Profiles
IBISWorld API
  • Overview
    • ๐Ÿš€ Getting Started
    • ๐Ÿ“Š About IBISWorld
    • ๐ŸšฆRate Limits & Data Size
    • ๐ŸŒ API Uptime, SLA & Support
    • ๐Ÿ“Œ Versioning & API Changes
    • โ“Frequently Asked Questions (FAQs)
    • ๐Ÿ“ฐ API Release Notes
    • Authentication
      POST
  • How-To Guides
    • ๐Ÿ” How To: Convert ANZSIC โžœ IBISWorld Report
    • ๐Ÿ“ฅ How To: Download an IBISWorld PDF Report
  • Industry
    • Risk
      • Risk Reports List
      • Recently Updated Risk Reports List
      • Full Industry Risk Report
      • Sections of Risk Report
      • Early Warning System (EWS)
    • States (US) & Provinces (Canada)
      • Industry Reports List
      • Full Industry Report
      • Sections of Industry Report
    • Segment Benchmarking (US)
      • Full Segment Benchmarking Report
      • Sections of a Segment Benchmarking Report
    • ESG
      • Full ESG Report
      • Sections of ESG Report
    • Industry Reports List
    • Recently Updated Industry Reports List
    • Sections of Industry Report
    • Full Industry Report
    • One Section from Multiple Industry Reports
    • Industry Report Images
  • Classifications
    • List of Classification System Versions
    • List of Classification System Titles and Codes
    • Classification System to IBISWorld Report Concordance
    • IBISWorld Report to Classification System Concordance
  • Downloads
    • Download a Report
  • Business Environment Profiles
    • BED Reports List
    • Recently Updated BED Reports List
    • Full BED Report
    • Sections of BED Report
  • Company
    • Company Reports List (Australia)
    • Recently Updated Company Reports List
    • Full Company Report (Australia)
    • Sections of Company Report (Australia)
  • Procurement
    • Procurement Reports
    • Recently Updated Procurement Reports List
    • Sections of Procurement Report
  • Occupation Profiles
    • Occupation Report List
      POST
    • Recently Updated Occupation Report List
      POST
    • Full Occupation Report
      POST
    • Sections of Occupation Report
      POST
  • Schemas
    • classification_system_version
    • ibis_report_concordance
    • ibis_industry_report
    • ibis_industry_risk_report
    • ibis_bed_report
    • ibis_company_report
  1. Occupation Profiles

Sections of Occupation Report

POST
/occupation/v3/sections
Returns one or more sections of a US occupation profile in a single request.
This is more efficient than /occupation/v3/fullreport when you only need specific data โ€” for example, requesting Description and StateWages rather than the complete profile. Use fullreport only when all sections are required.

Request Parameters#

ParameterTypeRequiredDescription
CountrystringYesMust be US
CodestringYesSOC occupation code (e.g., 291221 for Anesthesiologists)
LanguagestringYesReport language (e.g., English)
ReportSectionsarray (string)YesOne or more section names to include in the response (see Available Sections below)

Available Sections Reference Table#

Section NameParam to include in ReportSections arrayDescription
TitleTitleOfficial occupation title as used in SOC classification and IBISWorld cataloging.
Report YearReportYearPrimary data year for the occupation profile.
DescriptionDescriptionOccupation scope and duties in PlainText and HTML formats. Sourced from BLS definitions.
National WagesNationalWagesUS national wage averages. Returns WageRates.National array.
State WagesStateWagesWage data for all 50 US states plus DC. Returns WageRates.States array.
Metropolitan Statistical Area WagesMetropolitanStatisticalAreaWagesWage data for all Metropolitan Statistical Areas (MSAs) where the occupation is present. Returns WageRates.MetropolitanStatisticalArea array.
All WagesAllWagesComplete wage data across all geographic levels โ€” National, States, and MSAs. Returns the full WageRates object.

Request

Authorization
Add the parameter
Authorization
to Headers
๏ผŒwhose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Body Params application/jsonRequired

Example
{
    "Country": "US",
    "Code": "172011",
    "Language": "English",
    "ReportSections":  [
        "ReportYear",
        "Title",
        "Definition",
        "NationalWages",
        "StateWages",
        "MetropolitanStatisticalAreaWages",
        "AllWages"
    ]
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.ibisworld.com/occupation/v3/sections' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "Country": "US",
    "Code": "172011",
    "Language": "English",
    "ReportSections":  [
        "ReportYear",
        "Title",
        "Definition",
        "NationalWages",
        "StateWages",
        "MetropolitanStatisticalAreaWages",
        "AllWages"
    ]
}'

Responses

๐ŸŸข200Success
application/json
Body

Example
{
    "Sections": [
        {
            "RequestedSection": "ReportYear",
            "StatusCode": 200,
            "Body": {
                "ReportYear": 2025
            }
        },
        {
            "RequestedSection": "Title",
            "StatusCode": 200,
            "Body": {
                "Title": "Aerospace Engineers"
            }
        },
        {
            "RequestedSection": "NationalWages",
            "StatusCode": 200,
            "Body": {
                "WageRates": {
                    "National": [
                        {
                            "AreaCode": "N",
                            "AreaName": "National",
                            "Metrics": [
                                {
                                    "Name": "Average",
                                    "ID": "03",
                                    "Unit": "$ per hour",
                                    "DataPoints": [
                                        {
                                            "Year": 2024,
                                            "Value": 67.88
                                        }
                                    ]
                                },
                                {
                                    "Name": "Entry Level",
                                    "ID": "07",
                                    "Unit": "$ per hour",
                                    "DataPoints": [
                                        {
                                            "Year": 2024,
                                            "Value": 50.36
                                        }
                                    ]
                                },
                                {
                                    "Name": "Median",
                                    "ID": "08",
                                    "Unit": "$ per hour",
                                    "DataPoints": [
                                        {
                                            "Year": 2024,
                                            "Value": 64.82
                                        }
                                    ]
                                },
                                {
                                    "Name": "Experienced",
                                    "ID": "09",
                                    "Unit": "$ per hour",
                                    "DataPoints": [
                                        {
                                            "Year": 2024,
                                            "Value": 83.88
                                        }
                                    ]
                                }
                            ]
                        }
                    ]
                }
            }
        },
        {
            "RequestedSection": "StateWages",
            "StatusCode": 200,
            "Body": {
                "WageRates": {
                    "States": [
                        {
                            "AreaCode": "0100000",
                            "AreaShortName": "AL",
                            "AreaName": "Alabama",
                            "Metrics": [
                                {
                                    "Name": "Average",
                                    "ID": "03",
                                    "Unit": "$ per hour",
                                    "DataPoints": [
                                        {
                                            "Year": 2024,
                                            "Value": 65.49
                                        }
                                    ]
                                },
                                {
                                    "Name": "Entry Level",
                                    "ID": "07",
                                    "Unit": "$ per hour",
                                    "DataPoints": [
                                        {
                                            "Year": 2024,
                                            "Value": 47.93
                                        }
                                    ]
                                },
                                {
                                    "Name": "Median",
                                    "ID": "08",
                                    "Unit": "$ per hour",
                                    "DataPoints": [
                                        {
                                            "Year": 2024,
                                            "Value": 63.98
                                        }
                                    ]
                                },
     
๐ŸŸ 403403
๐ŸŸข204204
๐ŸŸ 401401
Modified atย 2026-03-26 02:37:41
Previous
Full Occupation Report
Next
classification_system_version
Built with